html5lib Package
================

:mod:`html5lib` Package
-----------------------

.. automodule:: html5lib.__init__
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`constants` Module
-----------------------

.. automodule:: html5lib.constants
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`html5parser` Module
-------------------------

.. automodule:: html5lib.html5parser
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ihatexml` Module
----------------------

.. automodule:: html5lib.ihatexml
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`inputstream` Module
-------------------------

.. automodule:: html5lib.inputstream
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`sanitizer` Module
-----------------------

.. automodule:: html5lib.sanitizer
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`tokenizer` Module
-----------------------

.. automodule:: html5lib.tokenizer
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`utils` Module
-------------------

.. automodule:: html5lib.utils
    :members:
    :undoc-members:
    :show-inheritance:

Subpackages
-----------

.. toctree::

    html5lib.filters
    html5lib.serializer
    html5lib.treebuilders
    html5lib.treewalkers

